> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create

> Create a configured connector.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/apps/{app_id}/connectors/create
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/apps/{app_id}/connectors/create:
    post:
      tags:
        - Connector
      summary: Create
      description: Create a configured connector.
      operationId: c1.api.app.v1.ConnectorService.Create
      parameters:
        - in: path
          name: app_id
          required: true
          schema:
            description: The appId field.
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.app.v1.ConnectorServiceCreateRequestInput
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.app.v1.ConnectorServiceCreateResponse
          description: >-
            The ConnectorServiceCreateResponse is the response returned from
            creating a connector.
      x-codeSamples:
        - lang: go
          label: Create
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.Connector.Create(ctx, operations.C1APIAppV1ConnectorServiceCreateRequest{\n        AppID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ConnectorServiceCreateResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.connector.create({
                appId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.app.v1.ConnectorServiceCreateRequestInput:
      description: The ConnectorServiceCreateRequest message.
      properties:
        catalogId:
          description: The catalogId field.
          type:
            - string
            - 'null'
        config:
          additionalProperties: true
          description: >-
            Contains an arbitrary serialized message along with a @type that
            describes the type of the serialized message.
          properties:
            '@type':
              description: The type of the serialized message.
              type: string
          type:
            - object
            - 'null'
        description:
          description: The description field.
          type:
            - string
            - 'null'
        expandMask:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.ConnectorExpandMask'
            - type: 'null'
        userIds:
          description: The userIds field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Connector Service Create Request
      type: object
      x-speakeasy-name-override: ConnectorServiceCreateRequest
    c1.api.app.v1.ConnectorServiceCreateResponse:
      description: >-
        The ConnectorServiceCreateResponse is the response returned from
        creating a connector.
      properties:
        connectorView:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.ConnectorView'
            - type: 'null'
        expanded:
          description: The array of expanded items indicated by the request.
          items:
            additionalProperties: true
            description: >-
              Contains an arbitrary serialized message along with a @type that
              describes the type of the serialized message.
            properties:
              '@type':
                description: The type of the serialized message.
                type: string
            type: object
          type:
            - array
            - 'null'
      title: Connector Service Create Response
      type: object
      x-speakeasy-name-override: ConnectorServiceCreateResponse
    c1.api.app.v1.ConnectorExpandMask:
      description: >-
        The ConnectorExpandMask is used to expand related objects on a
        connector.
      properties:
        paths:
          description: >-
            Paths that you want expanded in the response. Possible values are
            "app_id" and "*".
          items:
            type: string
          type:
            - array
            - 'null'
      title: Connector Expand Mask
      type: object
      x-speakeasy-name-override: ConnectorExpandMask
    c1.api.app.v1.ConnectorView:
      description: >-
        The ConnectorView object provides a connector response object, as well
        as JSONPATHs to related objects provided by expanders.
      properties:
        appPath:
          description: >-
            JSONPATH expression indicating the location of the App object in the
            expanded array.
          type:
            - string
            - 'null'
        capabilitiesPath:
          description: >-
            JSONPATH expression indicating the location of the
            ConnectorCapabilities object in the expanded array.
          type:
            - string
            - 'null'
        connector:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.Connector'
            - type: 'null'
        usersPath:
          description: >-
            JSONPATH expression indicating the location of the User object in
            the expanded array. This is the user that is a direct target of the
            ticket without a specific relationship to a potentially non-existent
            app user.
          type:
            - string
            - 'null'
      title: Connector View
      type: object
      x-speakeasy-name-override: ConnectorView
    c1.api.app.v1.Connector:
      description: A Connector is used to sync objects into Apps
      properties:
        appId:
          description: The id of the app the connector is associated with.
          type:
            - string
            - 'null'
        canResumeSync:
          description: The canResumeSync field.
          type:
            - boolean
            - 'null'
        catalogId:
          description: >-
            The catalogId describes which catalog entry this connector is an
            instance of. For example, every Okta connector will have the same
            catalogId indicating it is an Okta connector.
          type:
            - string
            - 'null'
        config:
          additionalProperties: true
          description: >-
            Contains an arbitrary serialized message along with a @type that
            describes the type of the serialized message.
          properties:
            '@type':
              description: The type of the serialized message.
              type: string
          type:
            - object
            - 'null'
        configUpdatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        connectorApiVersion:
          description: The connectorApiVersion field.
          format: uint32
          readOnly: true
          type:
            - integer
            - 'null'
        connectorSyncCronSchedule:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.ConnectorSyncCronSchedule'
            - type: 'null'
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        description:
          description: The description of the connector.
          type:
            - string
            - 'null'
        disableCheckBadSync:
          description: The disableCheckBadSync field.
          type:
            - boolean
            - 'null'
        displayName:
          description: The display name of the connector.
          type:
            - string
            - 'null'
        downloadUrl:
          description: >-
            The downloadUrl for a spreadsheet if the connector was created from
            uploading a file.
          readOnly: true
          type:
            - string
            - 'null'
        id:
          description: The id of the connector.
          type:
            - string
            - 'null'
        oauthAuthorizedAs:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.OAuth2AuthorizedAs'
            - type: 'null'
        parallelSyncWorkerCount:
          description: >-
            Number of sync workers to use for parallel sync, when the
            PARALLEL_SYNC feature is enabled. Zero disables parallel sync.
            Optional on write: omit the field in UpdateAdvancedConfig to leave
            the stored value unchanged. The public API allows setting up to 4.
          format: int32
          type:
            - integer
            - 'null'
        profileAllowList:
          description: >-
            List of profile attributes to sync, when set only these attributes
            will be synced
          items:
            type: string
          type:
            - array
            - 'null'
        profileIgnoreList:
          description: >-
            List of profile attributes to ignore (not sync), when set other
            attributes will be synced, but these will not.
          items:
            type: string
          type:
            - array
            - 'null'
        status:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.ConnectorStatus'
            - type: 'null'
        syncConfig:
          oneOf:
            - $ref: '#/components/schemas/c1.api.app.v1.SyncConfig'
            - type: 'null'
        syncDisabledAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        syncDisabledCategory:
          description: The category of the connector sync that was disabled.
          type:
            - string
            - 'null'
        syncDisabledReason:
          description: The reason the connector sync was disabled.
          type:
            - string
            - 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        userIds:
          description: >-
            The userIds field is used to define the integration owners of the
            connector.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Connector
      type: object
      x-speakeasy-name-override: Connector
    c1.api.app.v1.ConnectorSyncCronSchedule:
      description: The ConnectorSyncCronSchedule message.
      properties:
        cronSpec:
          description: The cronSpec field.
          type:
            - string
            - 'null'
        start:
          format: date-time
          type:
            - string
            - 'null'
        timezone:
          description: The timezone field.
          type:
            - string
            - 'null'
      title: Connector Sync Cron Schedule
      type: object
      x-speakeasy-name-override: ConnectorSyncCronSchedule
    c1.api.app.v1.OAuth2AuthorizedAs:
      description: OAuth2AuthorizedAs tracks the user that OAuthed with the connector.
      properties:
        authEmail:
          description: >-
            authEmail is the email of the user that authorized the connector
            using OAuth.
          readOnly: true
          type:
            - string
            - 'null'
        authorizedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: O Auth 2 Authorized As
      type: object
      x-speakeasy-name-override: OAuth2AuthorizedAs
    c1.api.app.v1.ConnectorStatus:
      description: >-
        The status field on the connector is used to track the status of the
        connectors sync, and when syncing last started, completed, or caused the
        connector to update.
      properties:
        completedAt:
          format: date-time
          type:
            - string
            - 'null'
        lastError:
          description: The last error encountered by the connector.
          type:
            - string
            - 'null'
        startedAt:
          format: date-time
          type:
            - string
            - 'null'
        status:
          description: The status of the connector sync.
          enum:
            - SYNC_STATUS_UNSPECIFIED
            - SYNC_STATUS_RUNNING
            - SYNC_STATUS_DONE
            - SYNC_STATUS_ERROR
            - SYNC_STATUS_DISABLED
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      title: Connector Status
      type: object
      x-speakeasy-name-override: ConnectorStatus
    c1.api.app.v1.SyncConfig:
      description: The SyncConfig message.
      properties:
        syncResourceTypeIds:
          description: The syncResourceTypeIds field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Sync Config
      type: object
      x-speakeasy-name-override: SyncConfig
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````